cURL
curl --request GET \
--url https://api.example.com/v1/panel/support/ticketsimport requests
url = "https://api.example.com/v1/panel/support/tickets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/panel/support/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/panel/support/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/panel/support/tickets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/panel/support/tickets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/panel/support/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queueCode": "<string>",
"subject": "<string>",
"status": "open",
"priority": "low",
"tags": [
"<string>"
],
"messageCount": 123,
"unreadCount": 123,
"reopenedCount": 123,
"firstResponseBreached": true,
"createdAt": "2023-11-07T05:31:56Z",
"lastMessageAt": "2023-11-07T05:31:56Z",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeName": "<string>",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}panel
Get v1panelsupporttickets
Requires support.read. The queue, oldest activity first, on a keyset cursor over (lastMessageAt, id). The breach flag is computed in SQL so “overdue” means the same thing here, in the queue counters, and in the report.
GET
/
v1
/
panel
/
support
/
tickets
cURL
curl --request GET \
--url https://api.example.com/v1/panel/support/ticketsimport requests
url = "https://api.example.com/v1/panel/support/tickets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/panel/support/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/panel/support/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/panel/support/tickets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/panel/support/tickets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/panel/support/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queueCode": "<string>",
"subject": "<string>",
"status": "open",
"priority": "low",
"tags": [
"<string>"
],
"messageCount": 123,
"unreadCount": 123,
"reopenedCount": 123,
"firstResponseBreached": true,
"createdAt": "2023-11-07T05:31:56Z",
"lastMessageAt": "2023-11-07T05:31:56Z",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeName": "<string>",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}Query Parameters
Available options:
open, pending, resolved, closed, merged Available options:
low, normal, high, urgent Opaque keyset cursor from the previous page.
Required range:
1 <= x <= 200